Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 746722 - virtual/jack-1 and media-sound/jack2-1.9.14 stabilisation
Summary: virtual/jack-1 and media-sound/jack2-1.9.14 stabilisation
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Professional Audio Applications Maintainers
URL:
Whiteboard:
Keywords: CC-ARCHES, PullRequest, STABLEREQ
Depends on:
Blocks: EAPI5Removal
  Show dependency tree
 
Reported: 2020-10-05 12:18 UTC by Andreas Sturmlechner
Modified: 2020-11-13 11:25 UTC (History)
1 user (show)

See Also:
Package list:
media-sound/jack2-1.9.14 arm arm64 ppc ppc64 virtual/jack-1
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2020-10-05 12:18:53 UTC
media-sound/jack2 arm64 stable is required by media-video/pipewire stabilisation in bug 741861, but let's stabilise all arches that are currently keyworded to bring it closer to be a full media-sound/jack-audio-connection-kit replacement.
Comment 1 NATTkA bot gentoo-dev 2020-10-05 12:21:01 UTC
Sanity check failed:

> media-sound/jack2-1.9.14
>   depend ppc stable profile default/linux/powerpc/ppc32/17.0 (19 total)
>     media-libs/libffado:=
>   rdepend ppc stable profile default/linux/powerpc/ppc32/17.0 (19 total)
>     media-libs/libffado:=
>   depend ppc64 dev profile default/linux/ppc64le/17.0/desktop/plasma (2 total)
>     media-libs/libffado:=
>   rdepend ppc64 dev profile default/linux/ppc64le/17.0/desktop/plasma (2 total)
>     media-libs/libffado:=
Comment 2 Larry the Git Cow gentoo-dev 2020-10-05 12:39:13 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3f2ad1fdbdc47651c3445b282ce7b19c7906170c

commit 3f2ad1fdbdc47651c3445b282ce7b19c7906170c
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-10-05 12:37:25 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-10-05 12:38:59 +0000

    profiles: arm/arm64/powerpc: Stable-mask media-sound/jack2[ieee1394]
    
    Bug: https://bugs.gentoo.org/746722
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 profiles/arch/arm/package.use.stable.mask     | 5 +++++
 profiles/arch/arm64/package.use.stable.mask   | 5 +++++
 profiles/arch/powerpc/package.use.stable.mask | 5 +++++
 3 files changed, 15 insertions(+)
Comment 3 Sam James archtester gentoo-dev Security 2020-10-06 04:24:20 UTC
arm64 done
Comment 4 Sam James archtester gentoo-dev Security 2020-10-06 04:29:21 UTC
arm done
Comment 5 Sam James archtester gentoo-dev Security 2020-10-06 04:46:15 UTC
x86 done
Comment 6 Sam James archtester gentoo-dev Security 2020-10-06 04:48:18 UTC
amd64 done
Comment 7 Agostino Sarubbo gentoo-dev 2020-10-07 06:50:22 UTC
ppc stable
Comment 8 Agostino Sarubbo gentoo-dev 2020-10-07 06:53:19 UTC
ppc64 stable
Comment 9 Agostino Sarubbo gentoo-dev 2020-10-07 06:55:08 UTC
sparc stable
Comment 10 Rolf Eike Beer archtester 2020-10-08 17:47:03 UTC
hppa stable
Comment 11 Andreas Sturmlechner gentoo-dev 2020-11-11 18:58:40 UTC
s390 unlikely to happen?
Comment 12 Sam James archtester gentoo-dev Security 2020-11-11 19:00:31 UTC
(In reply to Andreas Sturmlechner from comment #11)
> s390 unlikely to happen?

I'd move forward, really - I don't have it in me to hold it up by myself
Comment 13 Miroslav Šulc gentoo-dev 2020-11-12 08:23:32 UTC
so what is the "proper" workaround? dropping s390 to unstable or a blind stabilization? we're also lacking re-keywording and stabilization on media-sound/jack-audio-connection-kit-0.125.0-r1...
Comment 14 Andreas Sturmlechner gentoo-dev 2020-11-12 19:26:45 UTC
What follows is a good old de-keywording spiral.

grep did not find any stable s390 revdep. Not that many keyworded revdeps for alpha/hppa either. Will put it to test via CI as well.

> for x in $(find . -name "*.ebuild" -exec grep -l virtual/jack {} \;); do grep -H "KEYWORDS.* s390" $x; done
Comment 15 Larry the Git Cow gentoo-dev 2020-11-13 09:56:26 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9056ab766ad26b872ce6d7e6a9bf1805f5a25d75

commit 9056ab766ad26b872ce6d7e6a9bf1805f5a25d75
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-11-12 18:40:41 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-11-13 09:56:00 +0000

    virtual/jack: Drop 0
    
    Closes: https://bugs.gentoo.org/746722
    Package-Manager: Portage-3.0.9, Repoman-3.0.2
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 virtual/jack/jack-0.ebuild | 16 ----------------
 1 file changed, 16 deletions(-)
Comment 16 Andreas Sturmlechner gentoo-dev 2020-11-13 11:25:30 UTC
With s390 having no revdeps and ia64 having "jack" in use.mask, the only effective delta between jack-audio-connection-kit and jack2 is sparc, which lacks keywording on the latter.